Subject: bug#12839: 24.3.50; Emacs aborts in GC

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Nov 2012 16:47:22 +0200

> Date: Fri, 09 Nov 2012 16:44:26 +0400
> From: Dmitry Antipov <[email-masked]>
> CC: [email-masked]
> 
> (gdb) pvectype current_buffer
> PVEC_BUFFER
> (gdb) pvecsize current_buffer
> 69
> 48

I get different results here:

  (gdb) pvectype current_buffer
  PVEC_BUFFER
  (gdb) pvecsize current_buffer
  69
  55
  (gdb) p selected_frame
  $2 = 55923965
  (gdb) xvectype
  PVEC_FRAME
  (gdb) xvecsize
  22
  73

How to know whether the results of these commands are correct?

> (This layout is documented around enum More_Lisp_Bits and
> struct vectorlike_header in lisp.h).

Maybe I'm blind, but I don't see anything that's near this detailed
description.  How about just making a large comment with all this
text?